Sincronizzare google drive

La rete, Internet, configurazione di Servizi e tutto ciò che permette la comunicazione tra macchine

Sincronizzare google drive

Messaggioda samiel » 30/03/2018, 13:29

Un consiglio: a vostro avviso qual è una buona utilità
per sincronizzare google drive con una serie di file locali?
Insonna una cosa simile a dropbox...

grazie
m
samiel
wiki member
wiki member
 
Messaggi: 2110
Iscritto il: 12/08/2006, 15:05
Località: Venezia

Re: Sincronizzare google drive

Messaggioda Alkatron » 21/04/2018, 11:14

Questo e molto spartano da terminale, per quello che mi serve fa il suo lavoro.
https://github.com/odeke-em/drive
Alkatron
Jr. Member
Jr. Member
 
Messaggi: 81
Iscritto il: 30/06/2010, 13:49

Re: Sincronizzare google drive

Messaggioda desperados » 21/04/2018, 22:30

- Potrebbe esser peggio. - E come? - Potrebbe piovere!
desperados
Hero Member
Hero Member
 
Messaggi: 776
Iscritto il: 22/02/2008, 8:55

Re: Sincronizzare google drive

Messaggioda Aki » 06/10/2018, 9:35

Riprendo questa discussione per segnalare l’interessante post che può essere reperito all'indirizzo http://people.skolelinux.org/pere/blog/Automatic_Google_Drive_sync_using_grive_in_Debian.html in merito al programma gdrive2 ed ad uno script di esempio di installazione.

Il codice sorgente del programma gdrive2 può essere reperito all'indirizzo https://github.com/vitalif/grive2 e non è presente attualmente come pacchetto nei repository Debian.

Riporto di seguito, per maggiore comodità del lettore, un estratto del post sopra citato dell'autore Petter Reinholdtsen.
Automatic Google Drive sync using grive in Debian
4th October 2018

A few days, I rescued a Windows victim over to Debian. To try to rescue the remains, I helped set up automatic sync with Google Drive. I did not find any sensible Debian package handling this automatically, so I rebuild the grive2 source from the Ubuntu UPD8 PPA to do the task and added a autostart desktop entry and a small shell script to run in the background while the user is logged in to do the sync. Here is a sketch of the setup for future reference.

I first created ~/googledrive, entered the directory and ran 'grive -a' to authenticate the machine/user. Next, I created a autostart hook in ~/.config/autostart/grive.desktop to start the sync when the user log in:
Codice: Seleziona tutto
    [Desktop Entry]
    Name=Google drive autosync
    Type=Application
    Exec=/home/user/bin/grive-sync

Finally, I wrote the ~/bin/grive-sync script to sync ~/googledrive/ with the files in Google Drive.
Codice: Seleziona tutto
    #!/bin/sh
    set -e
    cd ~/
    cleanup() {
        if [ "$syncpid" ] ; then
            kill $syncpid
        fi
    }
    trap cleanup EXIT INT QUIT
    /usr/lib/grive/grive-sync.sh listen googledrive 2>&1 | sed "s%^%$0:%" &
    syncpdi=$!
    while true; do
        if ! xhost >/dev/null 2>&1 ; then
            echo "no DISPLAY, exiting as the user probably logged out"
            exit 1
        fi
        if [ ! -e /run/user/1000/grive-sync.sh_googledrive ] ; then
            /usr/lib/grive/grive-sync.sh sync googledrive
        fi
        sleep 300
    done 2>&1 | sed "s%^%$0:%"

Feel free to use the setup if you want. It can be assumed to be GNU GPL v2 licensed (or any later version, at your leisure), but I doubt this code is possible to claim copyright on.
Aki
Global Moderator
Global Moderator
 
Messaggi: 8155
Iscritto il: 27/12/2007, 16:59


Torna a Network

Chi c’è in linea

Visitano il forum: Nessuno e 2 ospiti